const require_decorateMetadata = require('../../../../../../../../_virtual/_@oxc-project_runtime@0.94.0/helpers/decorateMetadata.js');
const require_decorate = require('../../../../../../../../_virtual/_@oxc-project_runtime@0.94.0/helpers/decorate.js');
const require_messageType = require('../../../../../util/messageType.js');
const require_DidCommAckMessage = require('../../../../../messages/common/DidCommAckMessage.js');
require('../../../../../messages/index.js');

//#region ../didcomm/src/modules/credentials/protocol/v2/messages/DidCommCredentialV2AckMessage.ts
/**
* @see https://github.com/hyperledger/aries-rfcs/blob/master/features/0015-acks/README.md#explicit-acks
*/
var DidCommCredentialV2AckMessage = class DidCommCredentialV2AckMessage extends require_DidCommAckMessage.DidCommAckMessage {
	constructor(..._args) {
		super(..._args);
		this.type = DidCommCredentialV2AckMessage.type.messageTypeUri;
	}
};
DidCommCredentialV2AckMessage.type = require_messageType.parseMessageType("https://didcomm.org/issue-credential/2.0/ack");
require_decorate.__decorate([require_messageType.IsValidMessageType(DidCommCredentialV2AckMessage.type), require_decorateMetadata.__decorateMetadata("design:type", Object)], DidCommCredentialV2AckMessage.prototype, "type", void 0);

//#endregion
exports.DidCommCredentialV2AckMessage = DidCommCredentialV2AckMessage;